> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/faspay-billing-api/get-list-invoice.md).

# Get List Invoice

This Get All Billing API Service functions to retrieve invoice list data for all invoice payments in Faspay Billing.

Method : GET

<table><thead><tr><th width="179">Environment</th><th>URL Endpoint</th></tr></thead><tbody><tr><td>Development</td><td>https://fasbill-dev.faspay.co.id/billingbackendapi/web/billing/get-all-billing</td></tr></tbody></table>

### **Request Get All Billing**

{% tabs %}
{% tab title="Request Parameter" %}

| Parameter     | Data Type    | M/O/C     | Description                                                                                                                               |
| ------------- | ------------ | --------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| signature     | Alphanumeric | Mandatory | Merchant's signature SHA1(MD5(username + password))                                                                                       |
| page          | Numeric      | Mandatory | Determine which page the transaction list should start. Minimal value is 1                                                                |
| customer\_id  | Numeric      | Optional  | ID Customer Faspay Billing                                                                                                                |
| start\_period | Date time    | Mandatory | Start range date invoice period. Format:yyyy-mm-dd                                                                                        |
| end\_period   | Datetime     | Mandatory | End range date invoice period. Format: yyyy-mm-dd                                                                                         |
| due\_date     | Datetime     | optional  | The final date for invoice payment. Format:yyyy-mm-dd                                                                                     |
| status        | Alphanumeric | Mandatory | <p>Invoice status:</p><p>0=Draft</p><p>1=Unpaid</p><p>2=Paid</p><p>3=Cancelled</p><p>4=Overdue</p><p>5=Partial Paid</p><p>7=Proforma.</p> |
| {% endtab %}  |              |           |                                                                                                                                           |

{% tab title="Sample Request" %}

```json
{
    "signature":"1ac4d5a611ec5376d8da43bbe33aaea1719076b6",
    "page":"1",
    "customer_id": 21,
    "start_period":"2023-05-01 00:00:00",
    "end_period":"2023-09-01 00:00:00",
    "due_date":"2023-09-21 00:00:00",
    "status":4,
}

```

{% endtab %}
{% endtabs %}

### **Response Get All Billing**

{% tabs %}
{% tab title="Response Parameter" %}

<table><thead><tr><th width="214">Parameter</th><th>Data Type</th><th>M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>current_page</td><td>Numeric</td><td>Mandatory</td><td>Shows the currently active page</td></tr><tr><td>total_pages</td><td>Numeric</td><td>Mandatory</td><td>Total number of pages</td></tr><tr><td>total_data</td><td>Numeric</td><td>Mandatory</td><td>Total data</td></tr><tr><td>response_code</td><td> </td><td>Mandatory</td><td><p>Response code<br>00 = Success</p><p>01 = Failed</p></td></tr><tr><td>data</td><td>Array object</td><td>Mandatory</td><td>List data object</td></tr><tr><td>       customer_id</td><td>Numeric</td><td>Optional</td><td>ID Number customer</td></tr><tr><td>       customer_name</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Customer name</td></tr><tr><td>       invoice_date</td><td>Datetime</td><td>Mandatory</td><td>Invoice date/periode invoice</td></tr><tr><td>       invoice_no</td><td>Numeric (255)</td><td>Mandatory</td><td>Invoice number</td></tr><tr><td>       due_date</td><td>Datetime</td><td>Mandatory</td><td>Due date invoice</td></tr><tr><td>       Invoice_status</td><td>Alphanumeric</td><td>Mandatory</td><td>Status of invoice</td></tr><tr><td>       period</td><td>Numeric</td><td>Mandatory</td><td>Periode invoice. Format (YYYYMM)</td></tr><tr><td>       outstanding_amount</td><td>Numeric</td><td>Mandatory</td><td>Invoice outstanding amount</td></tr><tr><td>message</td><td>Alphanumeric (255)</td><td>Mandatory</td><td>Message description</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample Response" %}

```json
{
    "current_page": "1",
    "total_pages": 1,
    "total_data": 6,
    "response_code": "00",
    "data": [
        {
            "customer_id": 32,
            "customer_name": "PT. Media Indonusa (ASTEL Group)",
            "invoice_date": "2023-02-07 00:00:00",
            "invoice_no": "INV-FPY-022300178",
            "due_date": "2023-02-08 10:04:00",
            "invoice_status": "Paid",
            "outstanding_amount": -400800,
            "period": "202302"
        },
        {
            "customer_id": 66,
            "customer_name": "Fadhil Achmadi 2",
            "invoice_date": "2023-02-23 00:00:00",
            "invoice_no": "INV-T8V-022300005",
            "due_date": "2023-03-09 15:07:00",
            "invoice_status": "Paid",
            "outstanding_amount": 0,
            "period": "202302"
        },
        {
            "customer_id": 66,
            "customer_name": "Fadhil Achmadi 2",
            "invoice_date": "2023-02-24 00:00:00",
            "invoice_no": "INV-T8V-022300008",
            "due_date": "2023-03-08 10:37:00",
            "invoice_status": "Paid",
            "outstanding_amount": 0,
            "period": "202302"
        },
        {
            "customer_id": 66,
            "customer_name": "Fadhil Achmadi 2",
            "invoice_date": "2023-02-24 00:00:00",
            "invoice_no": "INV-T8V-022300007",
            "due_date": "2023-04-20 09:50:00",
            "invoice_status": "Paid",
            "outstanding_amount": 0,
            "period": "202302"
        },
        {
            "customer_id": 99,
            "customer_name": "MP2-Fadhil",
            "invoice_date": "2023-02-27 00:00:00",
            "invoice_no": "INV-MP2-022300002",
            "due_date": "2023-03-22 17:03:00",
            "invoice_status": "Draft",
            "outstanding_amount": 456900,
            "period": "202302"
        },
        {
            "customer_id": 9,
            "customer_name": "customer-new-single",
            "invoice_date": "2023-04-11 00:00:00",
            "invoice_no": "INV-FPY-042301733",
            "due_date": "2023-04-24 11:14:00",
            "invoice_status": "Paid",
            "outstanding_amount": 0,
            "period": "202304"
        }
    ],
    "message": "Success get billing"
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/faspay-billing-api/get-list-invoice.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
